### Constructor

# Gsk StrokeNode new

since: 4.14

#### Declaration [src]

    GskRenderNode*
    gsk_stroke_node_new (
      GskRenderNode* child,
      GskPath* path,
      const GskStroke* stroke
    )

#### Description [src]

Creates a `GskRenderNode` that will fill the outline generated by stroking the given `path` using the attributes defined in `stroke`.

The area is filled with `child`.

GSK aims to follow the SVG semantics for stroking paths. E.g. zero-length contours will get round or square line caps drawn, regardless whether they are closed or not.

Available since: 4.14

#### Parameters

`child`

  Type: `GskRenderNode`

  The node to stroke the area with.

  The data is owned by the caller of the function.

`path`

  Type: `GskPath`

  The path describing the area to stroke.

  The data is owned by the caller of the function.

`stroke`

  Type: `GskStroke`

  The stroke attributes to use.

  The data is owned by the caller of the function.

#### Return value

Type: `GskStrokeNode`

A new `GskRenderNode`.

The data is owned by the called function.